org.apache.poi.hwpf.model

## Class PAPBinTable

- java.lang.Object
- - org.apache.poi.hwpf.model.PAPBinTable

- Direct Known Subclasses:
    OldPAPBinTable

      @Internal
      public class PAPBinTable
      extends java.lang.Object

  This class represents the bin table of Word document but it also serves as a holder for all of the paragraphs of document that have been loaded into memory.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList<PAPX>` | `_paragraphs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PAPBinTable()`
    `PAPBinTable(byte[] documentStream, byte[] tableStream, byte[] dataStream, int offset, int size, CharIndexTranslator charIndexTranslator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustForDelete(int listIndex, int offset, int length)`
    `void` | `adjustForInsert(int listIndex, int length)`
    `java.util.ArrayList<PAPX>` | `getParagraphs()`
    `void` | `insert(int listIndex, int cpStart, SprmBuffer buf)`
    `void` | `rebuild(java.lang.StringBuilder docText, ComplexFileTable complexFileTable)`
    `void` | `writeTo(java.io.ByteArrayOutputStream wordDocumentStream, java.io.ByteArrayOutputStream tableStream, CharIndexTranslator translator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _paragraphs

          protected final java.util.ArrayList<PAPX> _paragraphs

  - ### Constructor Detail

    - #### PAPBinTable

          public PAPBinTable()

    - #### PAPBinTable

          public PAPBinTable(byte[] documentStream,
                             byte[] tableStream,
                             byte[] dataStream,
                             int offset,
                             int size,
                             CharIndexTranslator charIndexTranslator)

  - ### Method Detail

    - #### rebuild

          public void rebuild(java.lang.StringBuilder docText,
                              ComplexFileTable complexFileTable)

    - #### insert

          public void insert(int listIndex,
                             int cpStart,
                             SprmBuffer buf)

    - #### adjustForDelete

          public void adjustForDelete(int listIndex,
                                      int offset,
                                      int length)

    - #### adjustForInsert

          public void adjustForInsert(int listIndex,
                                      int length)

    - #### getParagraphs

          public java.util.ArrayList<PAPX> getParagraphs()

    - #### writeTo

          public void writeTo(java.io.ByteArrayOutputStream wordDocumentStream,
                              java.io.ByteArrayOutputStream tableStream,
                              CharIndexTranslator translator)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.